#if !defined(AFX_STAMPLIST_H__5C50FB82_3B95_11D3_AB2E_C7562C0BF118__INCLUDED_)
#define AFX_STAMPLIST_H__5C50FB82_3B95_11D3_AB2E_C7562C0BF118__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StampList.h : header file
//
class CStamp;
class CListStamp;

/////////////////////////////////////////////////////////////////////////////
// CStampList dialog

class CStampList : public CDialog
{
// Construction
public:
	~CStampList();
	CStampList(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CStampList)
	enum { IDD = IDD_STAMP_LIST };
	float	m_efpo;
	//}}AFX_DATA
	CObArray Stamps;
	CStamp* GetStamp(int i);
	CStamp* AddStamp(float tim,COLORREF clr);
	CStamp* AddStamp(CStamp* st);
	CListStamp m_list;
	int IsDel;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStampList)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CStampList)
	afx_msg void OnAddStamp();
	afx_msg void OnDelStamp();
	virtual BOOL OnInitDialog();
	afx_msg void OnEdStamp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STAMPLIST_H__5C50FB82_3B95_11D3_AB2E_C7562C0BF118__INCLUDED_)
